Subject: bug#44297: [Feature request] project.el: Additional utility functions

From: Dmitry Gutov <[email-masked]>
Date: Fri, 30 Oct 2020 19:40:23 +0200

On 30.10.2020 01:57, Basil L. Contovounesios wrote:

>> What I don't understand, is why should it be in the project- namespace? Looking
>> for a file with the same name in the current dir doesn't execute the notion of
>> the current project, even a little bit.
>>
>> Projectile does a project-wide search for a file with the same basename (but a
>> different extension). Is that actually useful?
> 
> Maybe when e.g. headers and source files are in different directories?

All right then.

> I don't know whether that's already supported by find-file.el.

Apparently it's done using the ff-search-directories variable.

I'm not sure about usefulness of this, given the default value lists 
system directories. Was the user always supposed to customize it to list 
the source dirs in the current project?